com.google.gwt.typedarrays.server

## Class DataViewImpl

- java.lang.Object
- - com.google.gwt.typedarrays.server.ArrayBufferViewImpl
  - - com.google.gwt.typedarrays.server.DataViewImpl

- All Implemented Interfaces:
    ArrayBufferView, DataView

      public class DataViewImpl
      extends ArrayBufferViewImpl
      implements DataView

  Pure Java implementation of `DataView`.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

      `arrayBuf, byteLength, byteOffset, USE_LITTLE_ENDIAN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataViewImpl(ArrayBuffer buffer, int byteOffset, int byteLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFloat32(int byteOffset)`
    `float` | `getFloat32(int byteOffset, boolean littleEndian)`
    `double` | `getFloat64(int byteOffset)`
    `double` | `getFloat64(int byteOffset, boolean littleEndian)`
    `short` | `getInt16(int byteOffset)`
    `short` | `getInt16(int byteOffset, boolean littleEndian)`
    `int` | `getInt32(int byteOffset)`
    `int` | `getInt32(int byteOffset, boolean littleEndian)`
    `byte` | `getInt8(int byteOffset)`
    `int` | `getUint16(int byteOffset)`
    `int` | `getUint16(int byteOffset, boolean littleEndian)`
    `long` | `getUint32(int byteOffset)`
    `long` | `getUint32(int byteOffset, boolean littleEndian)`
    `double` | `getUint32AsDouble(int byteOffset)`
    `double` | `getUint32AsDouble(int byteOffset, boolean littleEndian)`
    `short` | `getUint8(int byteOffset)`
    `void` | `setFloat32(int byteOffset, float value)`
    `void` | `setFloat32(int byteOffset, float value, boolean littleEndian)`
    `void` | `setFloat64(int byteOffset, double value)`
    `void` | `setFloat64(int byteOffset, double value, boolean littleEndian)`
    `void` | `setInt16(int byteOffset, int value)`
    `void` | `setInt16(int byteOffset, int value, boolean littleEndian)`
    `void` | `setInt32(int byteOffset, int value)`
    `void` | `setInt32(int byteOffset, int value, boolean littleEndian)`
    `void` | `setInt8(int byteOffset, int value)`
    `void` | `setUint16(int byteOffset, int value)`
    `void` | `setUint16(int byteOffset, int value, boolean littleEndian)`
    `void` | `setUint32(int byteOffset, long value)`
    `void` | `setUint32(int byteOffset, long value, boolean littleEndian)`
    `void` | `setUint32FromDouble(int byteOffset, double value)`
    `void` | `setUint32FromDouble(int byteOffset, double value, boolean littleEndian)`
    `void` | `setUint8(int byteOffset, int value)`

    - ### Methods inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

      `buffer, byteLength, byteOffset, checkRange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

      `buffer, byteLength, byteOffset`

- - ### Constructor Detail

    - #### DataViewImpl

          public DataViewImpl(ArrayBuffer buffer,
                              int byteOffset,
                              int byteLength)

      Parameters:
        `buffer` -
        `byteOffset` -
        `byteLength` -

  - ### Method Detail

    - #### getFloat32

          public float getFloat32(int byteOffset)

      Specified by:
        `getFloat32` in interface `DataView`

    - #### getFloat32

          public float getFloat32(int byteOffset,
                                  boolean littleEndian)

      Specified by:
        `getFloat32` in interface `DataView`

    - #### getFloat64

          public double getFloat64(int byteOffset)

      Specified by:
        `getFloat64` in interface `DataView`

    - #### getFloat64

          public double getFloat64(int byteOffset,
                                   boolean littleEndian)

      Specified by:
        `getFloat64` in interface `DataView`

    - #### getInt16

          public short getInt16(int byteOffset)

      Specified by:
        `getInt16` in interface `DataView`

    - #### getInt16

          public short getInt16(int byteOffset,
                                boolean littleEndian)

      Specified by:
        `getInt16` in interface `DataView`

    - #### getInt32

          public int getInt32(int byteOffset)

      Specified by:
        `getInt32` in interface `DataView`

    - #### getInt32

          public int getInt32(int byteOffset,
                              boolean littleEndian)

      Specified by:
        `getInt32` in interface `DataView`

    - #### getInt8

          public byte getInt8(int byteOffset)

      Specified by:
        `getInt8` in interface `DataView`

    - #### getUint16

          public int getUint16(int byteOffset)

      Specified by:
        `getUint16` in interface `DataView`

    - #### getUint16

          public int getUint16(int byteOffset,
                               boolean littleEndian)

      Specified by:
        `getUint16` in interface `DataView`

    - #### getUint32

          public long getUint32(int byteOffset)

      Specified by:
        `getUint32` in interface `DataView`

    - #### getUint32

          public long getUint32(int byteOffset,
                                boolean littleEndian)

      Specified by:
        `getUint32` in interface `DataView`

    - #### getUint32AsDouble

          public double getUint32AsDouble(int byteOffset)

      Specified by:
        `getUint32AsDouble` in interface `DataView`
      Returns:
        unsigned 32-bit int as a double

    - #### getUint32AsDouble

          public double getUint32AsDouble(int byteOffset,
                                          boolean littleEndian)

      Specified by:
        `getUint32AsDouble` in interface `DataView`
      Returns:
        unsigned 32-bit int as a double

    - #### getUint8

          public short getUint8(int byteOffset)

      Specified by:
        `getUint8` in interface `DataView`

    - #### setFloat32

          public void setFloat32(int byteOffset,
                                 float value)

      Specified by:
        `setFloat32` in interface `DataView`

    - #### setFloat32

          public void setFloat32(int byteOffset,
                                 float value,
                                 boolean littleEndian)

      Specified by:
        `setFloat32` in interface `DataView`

    - #### setFloat64

          public void setFloat64(int byteOffset,
                                 double value)

      Specified by:
        `setFloat64` in interface `DataView`

    - #### setFloat64

          public void setFloat64(int byteOffset,
                                 double value,
                                 boolean littleEndian)

      Specified by:
        `setFloat64` in interface `DataView`

    - #### setInt16

          public void setInt16(int byteOffset,
                               int value)

      Specified by:
        `setInt16` in interface `DataView`

    - #### setInt16

          public void setInt16(int byteOffset,
                               int value,
                               boolean littleEndian)

      Specified by:
        `setInt16` in interface `DataView`

    - #### setInt32

          public void setInt32(int byteOffset,
                               int value)

      Specified by:
        `setInt32` in interface `DataView`

    - #### setInt32

          public void setInt32(int byteOffset,
                               int value,
                               boolean littleEndian)

      Specified by:
        `setInt32` in interface `DataView`

    - #### setInt8

          public void setInt8(int byteOffset,
                              int value)

      Specified by:
        `setInt8` in interface `DataView`

    - #### setUint16

          public void setUint16(int byteOffset,
                                int value)

      Specified by:
        `setUint16` in interface `DataView`

    - #### setUint16

          public void setUint16(int byteOffset,
                                int value,
                                boolean littleEndian)

      Specified by:
        `setUint16` in interface `DataView`

    - #### setUint32

          public void setUint32(int byteOffset,
                                long value)

      Specified by:
        `setUint32` in interface `DataView`

    - #### setUint32

          public void setUint32(int byteOffset,
                                long value,
                                boolean littleEndian)

      Specified by:
        `setUint32` in interface `DataView`

    - #### setUint32FromDouble

          public void setUint32FromDouble(int byteOffset,
                                          double value)

      Specified by:
        `setUint32FromDouble` in interface `DataView`

    - #### setUint32FromDouble

          public void setUint32FromDouble(int byteOffset,
                                          double value,
                                          boolean littleEndian)

      Specified by:
        `setUint32FromDouble` in interface `DataView`

    - #### setUint8

          public void setUint8(int byteOffset,
                               int value)

      Specified by:
        `setUint8` in interface `DataView`